import axios from "@/libs/api.request";

export const getData = (info) => {
  return axios.request({
    url: "/index/data",
    method: "get",
    params: info,
  });
};

export const getIp = () => {
  return axios.request({
    url: "/util/ip",
    method: "get",
  });
};


export const appointment = (info) => {
  return axios.request({
    url: "/appointment/index",
    method: "post",
    data: info,
  });
};

export const tapLogin = (info) => {
  return axios.request({
    url: "/tap/login",
    method: "post",
    data: info,
  });
};

export const getCode = (info) => {
  return axios.request({
    url: "/code/get",
    method: "post",
    data: info,
  });
};

export const getNewsList = (info) => {
  return axios.request({
    url: "/news/index",
    method: "post",
    data: info,
  });
};

export const getNewsDetail = (info) => {
  return axios.request({
    url: "/news/detail",
    method: "post",
    data: info,
  });
};
